Loading...
Searching...
No Matches
BD_OVERLAY Struct Reference

YUV overlay event. More...

`#include <overlay.h>`

## Data Fields

int64_t | pts
| Timestamp, on video grid.
uint8_t | plane
| Overlay plane (bd_overlay_plane_e).
uint8_t | cmd
| Overlay event type (bd_overlay_cmd_e).
uint8_t | palette_update_flag
| Set if only overlay palette is changed.
uint16_t | x
| top-left x coordinate
uint16_t | y
| top-left y coordinate
uint16_t | w
| region width
uint16_t | h
| region height
const BD_PG_PALETTE_ENTRY * | palette
| overlay palette (256 entries)
const BD_PG_RLE_ELEM * | img
| RLE-compressed overlay image.

## Detailed Description

YUV overlay event.

The documentation for this struct was generated from the following file:

- overlay.h